classification
Title: sqlite: handle correctly invalid isolation_level
Type: crash Stage: resolved
Components: Library (Lib) Versions: Python 3.4, Python 3.3, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: haypo Nosy List: BreamoreBoy, haypo, python-dev, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2013-12-19 12:58 by haypo, last changed 2014-07-13 10:34 by berker.peksag. This issue is now closed.

Files
File name Uploaded Description Edit
sqlite.patch haypo, 2013-12-19 12:58
Messages (7)
msg206610 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2013-12-19 12:58
The C function pysqlite_connection_init() doesn't check if pysqlite_connection_set_isolation_level() failed or not.

Attached patch fixes that.
msg206611 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2013-12-19 12:59
$ python
Python 3.4.0b1 (default:298d98486794+, Dec 19 2013, 13:45:07) 
[GCC 4.8.2 20131017 (Red Hat 4.8.2-1)] on linux
Type "help", "copyright", "credits" or "license" for more information.
>>> import sqlite3
>>> con=sqlite3.connect(":memory:", isolation_level=3)
python: Objects/typeobject.c:741: type_call: Assertion `!PyErr_Occurred()' failed.
Program terminated with signal SIGABRT, Aborted.
msg206621 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-12-19 15:32
LGTM.
msg206622 - (view) Author: Roundup Robot (python-dev) Date: 2013-12-19 15:41
New changeset 11a161cf0e5d by Victor Stinner in branch '3.3':
Issue #20026: Fix the sqlite module to handle correctly invalid isolation level
http://hg.python.org/cpython/rev/11a161cf0e5d

New changeset f9b6c8ef55b6 by Victor Stinner in branch 'default':
(Merge 3.3) Issue #20026: Fix the sqlite module to handle correctly invalid
http://hg.python.org/cpython/rev/f9b6c8ef55b6
msg206623 - (view) Author: Roundup Robot (python-dev) Date: 2013-12-19 15:45
New changeset 572e4b054899 by Victor Stinner in branch '2.7':
Issue #20026: Fix the sqlite module to handle correctly invalid isolation level
http://hg.python.org/cpython/rev/572e4b054899
msg222842 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2014-07-12 14:41
Accidentally set to pending?
msg222848 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2014-07-12 15:29
The patch has been commited, the issue can be closed. Yes pending was a
mistake.
History
Date User Action Args
2014-07-13 10:34:16berker.peksagsetstatus: open -> closed
stage: commit review -> resolved
2014-07-12 15:29:26hayposetmessages: + msg222848
2014-07-12 14:41:01BreamoreBoysetstatus: pending -> open
nosy: + BreamoreBoy
messages: + msg222842

2013-12-19 15:45:26hayposetstatus: open -> pending
resolution: fixed
versions: + Python 2.7, Python 3.3
2013-12-19 15:45:05python-devsetmessages: + msg206623
2013-12-19 15:41:56python-devsetnosy: + python-dev
messages: + msg206622
2013-12-19 15:32:01serhiy.storchakasetassignee: haypo
type: crash
components: + Library (Lib)

nosy: + serhiy.storchaka
messages: + msg206621
stage: commit review
2013-12-19 12:59:22hayposetmessages: + msg206611
2013-12-19 12:58:50haypocreate